cancel
Showing results for 
Search instead for 
Did you mean: 

TestComplete 14

Contributor

Re: TestComplete 14

My codes written in version 12.30 keep failing in version 14.

To save my time, I will use version 14 for new test developments and keep the 12.xx for running old codes.

 

Super Contributor

Re: TestComplete 14

How about can we can have 2 testexecute versions on the VM machines ? TE 12 and TE 14

 

Thanks

Nishchal

Community Hero

Re: TestComplete 14

Since both TC versions can coexist, and the TE version has to match TC, then I would say yes.  Backup your version 12 of TC and TE and then try it.  

Contributor

Re: TestComplete 14

I am using floating licenses, and I can't have two license keys to be installed in our server for both 12.xx and 14. To go with 14, I have to do code fixes.

Community Hero

Re: TestComplete 14

ACtually, you can have license keys for both versions co-existing on your license server... we have licenses for 11 and 12 on our server and it works just fine.


Robert Martin
[Community Expert Group]
Please consider giving a Kudo if I write good stuff
----

Why automate?  I do automated testing because there's only so much a human being can do and remain healthy.  Sleep is a requirement.  So, while people sleep, automation that I create does what I've described above in order to make sure that nothing gets past the final defense of the testing group.
I love good food, good books, good friends, and good fun.

Mysterious Gremlin Master
Extensions available
Super Contributor

Re: TestComplete 14

Now I have activated the license for Test Execute 14 . We have now TE 12 and TE 14.  I have already converted the script supported by TC 14.  I am trying to run the script on TE 14 through jenkins and getting the error as follows

 

Cannot open the 'C:\Users\nisgupta\Documents\TestComplete\workspace\TC_UDEV_Budget-001HSCBudget\HSC Budget Banner Forms\HSC Budget Banner Forms.pjs' file because it was created by a newer version of TestComplete.

Highlighted
Community Hero

Re: TestComplete 14

Sounds like Jenkins has a path definition somewhere that's leading it to the TE 12 programs.

Frequent Contributor

Re: TestComplete 14

the install of 14 requires the activation of a new license which I presume you have already done. I suspect that Jenkins is pointing to your V12 executable and not hte new V14.

Super Contributor

Re: TestComplete 14

Do we need to update the TestComplete Plugin in jenkins if we want to run the scripts on TestExecute 14 ?

 

Thanks

Nishchal

 

 

Super Contributor

Re: TestComplete 14

Ok I got it how to resolve this issue .

Attached the screenshot . In jenkins we do not have the option to select the version 14  and we select the latest and it resolve the issue. 

is Smartbear going to include the 14 in the version drop down ?

 

please update 

 

Thanks

Nishchal

 

 

 

 

New Here?
Join us and watch the welcome video:
Top Kudoed Authors